/* background-color:red; */
*{
    margin: 0;
    padding:0;
    box-sizing: border-box;
    text-decoration: none;
    /* background:linear-gradient(45deg, #fb00a6, transparent); */
}
/* .videoFilter, .sideVideoControls, .videoStatus, .videoControls{
    animation : rainbow-bg 8s infinite;
} */
@keyframes rainbow-bg{
    100%,0%{
        background:linear-gradient(45deg,rgb(255,0,0), transparent) ;
    }
    8%{
        background: linear-gradient(45deg, rgb(255,127,0), transparent)
    }
    16%{
        background: linear-gradient(45deg,rgb(255,255,0) , transparent);
    }
    25%{
        background: linear-gradient(45deg, rgb(127,255,0), transparent);
    }
    33%{
        background: linear-gradient(45deg, rgb(0,255,0), transparent);
    }
    41%{
        background: linear-gradient(45deg, rgb(0,255,127), transparent);
    }
    50%{
        background: linear-gradient(45deg, rgb(0,255,255), transparent);
    }
    58%{
        background: linear-gradient(45deg, rgb(0,127,255), transparent);
    }
    66%{
        background: linear-gradient(45deg, rgb(0,0,255), transparent);
    }
    75%{
        background: linear-gradient(45deg, rgb(127,0,255), transparent);
    }
    83%{
        background: linear-gradient(45deg, rgb(255,0,255, transparent));
    }
    91%{
        background: linear-gradient(45deg, rgb(255,0,127), transparent);
    }
}


.container{
    width: 100%;
    height: auto;
    position: relative;
    background-color: rgb(108, 196, 213);
    display: flex;
    justify-content: center;
}
.videoMainContainer{
    position: relative;
   width: auto;
   height: auto;
}
.videoContainer{
    margin: 0   auto;
    width: auto;
    height: 100vh;
}
.videoContainer video{
    height: 100%;
}
.videoFilter{
    display: flex;
    justify-content: center;
   
}
.videoFilter>span{
    padding: 5px 10px; 
}
.active{
    color:#fff
}



/* mobile view */
@media only screen and (max-width:420px) {
    .container{
        width: 100%;
        height: 100vh;
        position: relative;
        background-color: green;
    }
    .videoFilter{
        z-index: 2;
        position: fixed;
        top: 0;
        left: 0;
        background-color: transparent;
        width: 100%;
        display: flex;
        align-items: flex-end;
        align-content: center;
        justify-content: center;
        font-size: 20px;
        padding: 5px 0;
        font-weight: bold;
    }
    .videoFilter>span:nth-child(1){
        padding: 5px 10px;
        color: #ddd;
    }
    .active{
        color:#fff;
    }

    a.btn{
        padding: 5px 10px;
        font-weight: bold;
    }
    
    .videoMainContainer{
        height: 100%;
        width:100%;
        overflow: hidden;
    }
    .videoContainer{
        /* border: 1px solid #333; */
        position: relative;
        height: 100%;
        width: 100%;
        overflow: hidden;
    }
    .videoContainer>video{
        height: 100%;
        width: auto;
    }
    .videoStatus{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    .i{
        font-size: 40px;
        color: #fff;
        z-index: inherit;
        padding: 20px 10px;

    }
    .videoControls{
        
        z-index: 2;
        position: fixed;
        bottom: 0;
        left: 0;
        height: 50px;
        width: 100%;
        background-color: rgba(40, 36, 36, 0.088);
        display: flex;
        align-items: center;
        align-content: center;
        justify-content: space-between;
        display: none;
    }
    .btn{
        margin-left: 10px;
    }
    .vConIcon{
        font-size: 32px;
        color: #fff;
        font-weight: bold;
    }
    .sideVideoControls>a{    
        padding:20px 10px;
            
    }
    .sideVideoControls>a:nth-last-child(){
        padding-bottom: 0;
    }
    .sideVideoControls{
    position: absolute;
    height: 350px;
    bottom: -38px;
    right: 0;
    display: flex;
    flex-direction: column;
    }
}